include:
  - project: 'gitlab-ci-utils/gitlab-ci-templates'
    ref: 38.1.2
    file:
      - '/collections/All-Projects.gitlab-ci.yml'
      - '/collections/Container-Build-Test-Deploy.gitlab-ci.yml'
      - '/templates/Container-Annotations-Overrides.gitlab-ci.yml'

image_test:
  image:
    name: $TEMP_IMAGE_REPOSITORY:$TEMP_IMAGE_TAG
    entrypoint: ['']
  stage: container-test
  needs:
    - container_build
  script:
    - gocover-cobertura -help
    - go-junit-report -help
    # Uncover has no help, but exits 2 with invalid arguments
    - uncover || if [ "$?" -eq "2" ]; then exit 0; else exit 1; fi

# Included from Container-Build-Test-Deploy.gitlab-ci.yml
.copy_image:
  needs:
    - container_scanning
    - container_dive
    - image_test
    - update_annotations

# Included from All-Projects.gitlab-ci.yml
prepare_release:
  needs: []

# Included from All-Projects.gitlab-ci.yml
create_release:
  needs:
    - prepare_release
    - deploy_tag
